Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1343308 - Left margin display errors with GTK 3.20
Summary: Left margin display errors with GTK 3.20
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bluefish
Version: 24
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-07 06:07 UTC by Jim Hayward
Modified: 2016-06-26 20:56 UTC (History)
1 user (show)

Fixed In Version: bluefish-2.2.9-1.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-26 20:56:06 UTC
Type: Bug


Attachments (Terms of Use)
patch for bluefish bug 765699 (5.97 KB, patch)
2016-06-07 06:07 UTC, Jim Hayward
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
GNOME Bugzilla 765699 0 None None None 2016-06-07 06:07:20 UTC

Description Jim Hayward 2016-06-07 06:07:20 UTC
Created attachment 1165500 [details]
patch for bluefish bug 765699

Description of problem:
Because of changes with GTK 3.20, the left margin in the textview does not display correctly. Problems include the line numbers and symbols not being displayed.

Other issues include current line and cursor position highlighting not working. 

Version-Release number of selected component (if applicable):
2.2.8-2


Additional info:
A patch is attached with upstream changes to fix these issues with GTK 3.20.
A small upstream change is also in the patch that makes the menu key act as a right click button event.

Comment 1 Fedora Update System 2016-06-17 11:01:00 UTC
bluefish-2.2.9-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9e8fd1b883

Comment 2 Fedora Update System 2016-06-18 16:25:59 UTC
bluefish-2.2.9-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9e8fd1b883

Comment 3 Fedora Update System 2016-06-26 20:56:04 UTC
bluefish-2.2.9-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.